## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPortalCallback Struct Reference
[Crystal Space 3D Engine, Crystal Space 3D Engine]

When a sector is missing this callback will be called. More...

`#include <iengine/portal.h>`

Inheritance diagram for iPortalCallback:

[legend]
List of all members.

## Public Member Functions

virtual bool | Traverse (iPortal *portal, iBase *context)=0
| Traverse to the portal.

## Detailed Description

When a sector is missing this callback will be called.

If this callback returns false then this portal will not be traversed. Otherwise this callback has to set up the destination sector and return true. The given context will be either an instance of iRenderView, iFrustumView, or else 0.

Definition at line 128 of file portal.h.

## Member Function Documentation

virtual bool iPortalCallback::Traverse | ( | iPortal * | portal,
|  | iBase * | context
| ) | `[pure virtual]`

| Traverse to the portal. It is safe to delete this callback in this function.

The documentation for this struct was generated from the following file:

- iengine/portal.h